class GalleryCategory
  include Mongoid::Document
  include Mongoid::Timestamps

  include OrbitCoreLib::ObjectAuthable

  ObjectAuthTitlesOptions = %W{new_album}
  APP_NAME = "album"

  field :name, localize: true

  has_many :albums, :autosave => true, :dependent => :destroy

  def title
    name
  end

  def pp_object
    name
  end
end